use serenity::builder::CreateCommand;
use serenity::model::application::ResolvedOption;

pub async fn run(options: &[ResolvedOption<'_>]) -> String {
    r#"
    A Discord bot that rolls limitless dice, randomly!
    Designed, developed, and maintained by Arnkell Warner of Maduin
    Copyright 2025, all rights reserved
    "#
    .to_string()
}

pub fn register() -> CreateCommand {
    CreateCommand::new("about").description("Get information about this bot")
}
